#!/usr/bin/perl

# number of command line arguments
$nargv = @ARGV;

# work on each file specified in the command line
foreach $filename (@ARGV)
{
    open(results,$filename) or die "can't open file $filename: $!\n";
    open(OUTFILE,">$filename.bk") or die "can't open file $filename: $!\n";
    while ($line = <results>)
    {
	@tokens = split(" ",$line);
	$i = 0;
	if ($line =~ /^\#/) 
	{
	    #skip comments
	}
	elsif ($line =~ /=========/)
	{
	    #get case name
	    #($case, @other_tokens) = @tokens;
	    print OUTFILE "\n";
	    #printf OUTFILE "name %20s ", $case;
	}
	else
	{
	    foreach $token (@tokens)
	    {
		if ($i eq 1) 
		{
		    printf OUTFILE "%6s"," $field "; 
		    printf OUTFILE "%13s", "$token  ";
		    $i = 0;
		}
		if ($token eq "=")
		{
		    $field = $oldfield;
		    $i = 1;
		}
		$oldfield = $token
	    }
	}
    }
}
print "\n";

